#include "Tools.h"

#include <Application.h>
#include <IconUtils.h>
#include <Path.h>
#include <Resources.h>
#include <Roster.h>


BString GetAppPath( void )
{
    app_info	info;
    be_app->GetAppInfo( &info );

    BPath path = BPath( &info.ref );
    path.GetParent( &path );

    return( path.Path() );
}


BBitmap* LoadBitmap(BString const& imageName, int size )
{
    BResources* res = be_app->AppResources();

	if ( res == NULL )
		return NULL;

	size_t nbytes = 0;
	color_space cspace = B_RGBA32;

	const void* data = res->LoadResource( 'HVIF', imageName.String(), &nbytes);

   // size--;

	BBitmap* bitmap = new BBitmap( BRect(0,0, size, size ), cspace);

	if ( bitmap->InitCheck() != B_OK)
    {
        delete bitmap;
        bitmap = NULL;
    }
    else if (BIconUtils::GetVectorIcon((const uint8*)data, nbytes, bitmap) != B_OK)
    {
        delete bitmap;
        bitmap = NULL;
    }

    res->RemoveResource( data );

	return( bitmap );
}

